clang 10.0.0git

Public Types | Public Member Functions | List of all members
clang::serialization::reader::ASTIdentifierLookupTrait Class Reference

Class that performs lookup for an identifier stored in an AST file. More...

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/Serialization/ASTReaderInternals.h"`

Inheritance diagram for clang::serialization::reader::ASTIdentifierLookupTrait:
[legend]
Collaboration diagram for clang::serialization::reader::ASTIdentifierLookupTrait:
[legend]

## Public Types
using | data_type = IdentifierInfo *
Public Types inherited from clang::serialization::reader::ASTIdentifierLookupTraitBase
using | external_key_type = StringRef
using | internal_key_type = StringRef
using | hash_value_type = unsigned
using | offset_type = unsigned

## Public Member Functions
| ASTIdentifierLookupTrait (ASTReader &Reader, ModuleFile &F, IdentifierInfo *II=nullptr)
data_type | ReadData (const internal_key_type &k, const unsigned char *d, unsigned DataLen)
IdentID | ReadIdentifierID (const unsigned char *d)
ASTReader & | getReader () const

## Additional Inherited Members
Static Public Member Functions inherited from clang::serialization::reader::ASTIdentifierLookupTraitBase
static bool | EqualKey (const internal_key_type &a, const internal_key_type &b)
static hash_value_type | ComputeHash (const internal_key_type &a)
static std::pair< unsigned, unsigned > | ReadKeyDataLength (const unsigned char *&d)
static const internal_key_type & | GetInternalKey (const external_key_type &x)
static const external_key_type & | GetExternalKey (const internal_key_type &x)
static internal_key_type | ReadKey (const unsigned char *d, unsigned n)

## Detailed Description

Class that performs lookup for an identifier stored in an AST file.

Definition at line 159 of file ASTReaderInternals.h.

## Member Typedef Documentation

## ◆ data_type

using clang::serialization::reader::ASTIdentifierLookupTrait::data_type = IdentifierInfo *

Definition at line 169 of file ASTReaderInternals.h.

## Constructor & Destructor Documentation

## ◆ ASTIdentifierLookupTrait()

clang::serialization::reader::ASTIdentifierLookupTrait::ASTIdentifierLookupTrait | ( | ASTReader & | Reader,
|  | ModuleFile & | F,
|  | IdentifierInfo * | II = `nullptr`
| ) |  |
| inline

Definition at line 171 of file ASTReaderInternals.h.

## Member Function Documentation

## ◆ getReader()

ASTReader& clang::serialization::reader::ASTIdentifierLookupTrait::getReader | ( |  | ) | const
| inline

Definition at line 181 of file ASTReaderInternals.h.

## ◆ ReadData()

IdentifierInfo * ASTIdentifierLookupTrait::ReadData | ( | const internal_key_type & | k,
|  | const unsigned char * | d,
|  | unsigned | DataLen
| ) |  |

Definition at line 939 of file ASTReader.cpp.

References clang::IdentifierInfo::getBuiltinID(), clang::IdentifierInfo::getObjCOrBuiltinID(), clang::IdentifierInfo::getTokenID(), clang::IdentifierInfo::hasRevertedBuiltin(), clang::IdentifierInfo::isCPlusPlusOperatorKeyword(), clang::IdentifierInfo::isExtensionToken(), markIdentifierFromAST(), readBit(), clang::IdentifierInfo::revertBuiltin(), clang::IdentifierInfo::revertTokenIDToIdentifier(), clang::IdentifierInfo::setIsPoisoned(), and clang::IdentifierInfo::setObjCOrBuiltinID().

## ◆ ReadIdentifierID()

IdentID ASTIdentifierLookupTrait::ReadIdentifierID | ( | const unsigned char * | d | ) |

Definition at line 923 of file ASTReader.cpp.

The documentation for this class was generated from the following files:

- lib/Serialization/ASTReaderInternals.h
- lib/Serialization/ASTReader.cpp